Search for Products

You can call this operation to search for the products that you want.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Body

Currently, this operation only supports the following scenarios.

  1. Specifies catId, start, and num to retrieve the products in the specified category. Specifies lastModifiedStart and lastModifiedEnd to retrieve the products that have been updated in the specified time range. Specifies includeStyleItems to retrieve products in collections. Default value: false. A true value indicates that all collection products are returned.
    Note: Currently, each collection has a default product. A collection is in the category which the default product is in. We recommend that you set all products of the same collection in the same category to avoid ambiguity.
  2. Specifies q, start, and num to search for products based on keywords.
  3. Specifies code to search for the products with the specified product code.
    Note: Multiple products are supported to use the same code. We recommend that you avoid using one code for multiple products. To fuzzy match products with product codes, use the q parameter.

Response

NameRequiredTypeDescription
idtruestringThe ID of the product.
nametruestringThe name of the product.
descriptionfalsestringThe description of the product.
typetruestringThe type of the product.
For more information, see the value of the subType parameter.
subTypetrueintThe subtype of the product.
For more information, see the appendix at the end of the page.
sizefalsejsonThe size of the product.
Not empty only when the value of subType is 1.
x, y, and z represent the length, width, and height of a product.
largeImgUrlfalsestringThe URL of the large preview image of the product.
imgUrltruestringThe URL of the preview image of the product.
brandNamefalsestringThe brand name of the product.
brandLogofalsestringThe URL of the brand logo image of the product.
unitPricefalsestringThe unit price of the product.
For interior finish products, unit: yuan/square meter.
For furnishing products, unit: yuan.
customTexturefalsestringThe texture of the product.
prodUrlfalsestringThe purchase link of the product.
codefalsestringThe code of the product.
The product code is the GUID set by a merchant account.
styleNamefalsestringThe style name of the product.
styleIdfalsestringThe style ID of the product.
tags.namefalsestringThe tag name of the product.
tags.tagIdfalsestringThe tag ID of the product.
createdfalselongThe creation timestamp of the product.
lastModifiedfalselongThe last update timestamp of the product.

Appendix

subType enumerations

EnumeratorDescription
1Model
3Interior finish
4Buckle
5Baseboard
8Hardware
9Parameterized model
10Floor tile
11Boundary
12Floor tile style
13Integrated wallboard
14Parameterized line
15Parameterized composition model
16Composition model
17Outline
18Water jet-cut parquet
19Insubstantial model
Body Params
int32
required

The offset of the first product information to retrieve.
Minimum value: 0.

int32
required

The maximum number of products to search for at a time.
Maximum value: 50.
To search for more than 50 products, call this operation multiple times.
If the number of the products to search for is less than the parameter value that you specify, all data is returned.
For example, start=0&num=10 indicates that the first to the 10th product information is retrieved from the search result.
start=10&num=10 indicates that the 11th to the 20th product information is retrieved.

string

The keyword used to fuzzy match product names.

string

The category ID of the products to search for.
You can retrieve the category ID by calling the Retrieve the category ID operation.

string

The code of the product.
The product code is the GUID set by a merchant account.

boolean

Indicates whether to retrieve products in collections.
Default value: false.
A true value indicates that collection products are returned.

int64

The starting value of the last update timestamp range to search for products.
Unit: millisecond.
The default value is the timestamp when the first product is created.

int64

The ending value of the last update timestamp range to search for products.
Unit: millisecond.
The default value is the current timestamp.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json